<%! private static final String cvsId = "$Id: index_mi.jsp,v 1.56 2014/07/08 00:23:25 steve Exp $"; %>
<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://www.yellowfin.com.au/tags/yellowfin-app-form" prefix="html" %>
<%@ taglib uri="http://www.yellowfin.com.au/tags/yellowfin-app" prefix="app" %>
<%@ page import="java.net.URLDecoder" %>
<%@ page import="java.text.*" %> 
<%@ page import="java.util.*" %>
<%@ page import="com.hof.data.*" %>
<%@ page import="com.hof.mi.models.*" %>
<%@ page import="com.hof.ip.web.form.LogonForm" %>
<%@ page import="com.hof.pool.DBConnectionManager" %>
<%@ page import="com.hof.process.PersonProcess" %>
<%@ page import="com.hof.util.*" %>
<%@ page import="com.hof.util.ApplicationError" %>
<%@ page import="com.hof.util.ApplicationErrors" %>
<%@ page import="com.hof.mi.web.framework.AttributeKey" %>

<%! TagUtil tagUtil = new TagUtil(); %>
<%
// If the login page cannot render, redirect for initialisation.
if (!tagUtil.isInitialisedForLogon(request, getServletContext())) {
%>
<jsp:forward page="logon.i4"/>
<%
return;
}
%>

<%

// check the database started up correctly.
// if not, redirect to an error page
DBConnectionManager manager = DBConnectionManager.getInstance();
if (!manager.isAppPoolInitialised()) {
   response.sendRedirect("startuperror.jsp");
   return;
}

// log on view model
final LogonViewModel vm = new LogonViewModelWeb(new SessionToken(request));

// check if 'remember me' redirect is required
if (LogonViewModel.LogonMode.RememberMe == vm.getLogonMode() && null != vm.getRememberMeRedirectURL()) {
	response.sendRedirect(vm.getRememberMeRedirectURL());
}

// setup form
LogonForm loForm = vm.getLogonForm();
if (loForm.getEmail() == null || loForm.getEmail().trim().length() == 0)
   loForm.setEmail("<Type your User Id>");

final boolean quick = vm.getLogonMode() == LogonViewModel.LogonMode.LogonAgain;
final String name = quick ? vm.getLoginAgainUsername() : null;

response.setHeader("Cache-Control", "no-cache");
response.setHeader("Pragma", "no-cache");
response.setDateHeader("Expires", 0);

ApplicationErrors errors = (ApplicationErrors)request.getAttribute(AttributeKey.ERROR_KEY);
boolean errorsExist = errors != null && !errors.isEmpty();

%>
<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="expires" content="<%=new java.util.Date(0)%>" />
<meta http-equiv="no-cache" />
<app:base/>
<title>Yellowfin Information Collaboration</title>
<link href="css/ie.css" rel="styleSheet" type="text/css" />
<link rel="icon" type="image/vnd.microsoft.icon" href="favicon.ico" />
<script src="js/js.js"></script>
<style type="text/css">
<!--
body
{
   margin: 0px;
}
.loginButton
{
	width: 80px;
	background:#009EEC;
	padding:6px;
	border:0px;
	border-radius: 5px; -o-border-radius: 5px; -icab-border-radius: 5px; -khtml-border-radius: 5px; -moz-border-radius: 5px; -webkit-border-radius: 5px; 
	behavior: url(css/PIE.htc);
	outline:0px;
	font-size:14px;
	color:white;
	text-align:center;
	cursor:pointer;
	position:relative;
}
div.loginButton img {
   margin-top: -3px;
   margin-left: 2px;
}
.loginContainer
{
	margin:5px;
	FONT-FAMILY: sourceSansPro, Arial, Helvetica, sans-serif;
	font-size:14px;
	float:right;
	color:#666;
}
.loginBox
{
	width: 160px;
	background:#DDD;
	padding:6px;
	border:0px;
	border-radius:5px;
	behavior: url(css/PIE.htc);
	outline:0px;
	position:relative;
	font-family: sourceSansPro, Arial, Helveica, sans-serif;
	font-size: 14px;
}
#loginBoxOutline
{
	width: 92px;
	padding:2px;
	background:#fff;
	border:0px;
	border-radius:5px;
	behavior: url(css/PIE.htc);
	outline:0px;
	position:relative;
	
}
-->
</style>
<script src="js/window.js"></script>
<script src="js/EventObj.js"></script>
<script language="JavaScript">
<!--

function checkKey(e) {
   var key = e.keyCode;
   if (key == 13) {
      e.returnValue = false;
   }
}

function keypress(e, action) {
   if (e.keyCode == 13) {
      on_submit(action);
   }
}

// LogonForm submit routines
function on_submit(dest) {

   var objForm = document.LogonForm;
   var strMissingInfo = "";

   if (dest == 'logon') {  

      if (objForm.email.value == "")
         strMissingInfo += "\n  - <%= UtilString.getResourceString("error.logon.enter.user.id") %>" ;
      //else if (objForm.email.value.search("@") <= 0 || objForm.email.value.search("[.*]") == -1)
      //   strMissingInfo += "\n  - Enter a valid email address";

      // password validation

      if (objForm.password.value == "")
         strMissingInfo += "\n  - <%=UtilString.getResourceString("error.logon.enter.password")%>";
   }


   if (strMissingInfo != "")  {
      strMissingInfo =
         "\n\n<%= UtilString.getResourceString("error.login.msg") %>\n" +
         "__________________________________________\n" + strMissingInfo + 
         "\n__________________________________________\n" +
         "\n<%= UtilString.getResourceString("error.login.msg2") %>\n";
      alert(strMissingInfo);
   } else {
      objForm.action.value=dest;
      objForm.submit();
   }
}

function loader() {
	var isAdmin = window.location.search.replace( "?", "" );
	//alert(isAdmin);
   if (isAdmin.toLowerCase() == 'admin=yes'){
   // alert("in");
    document.getElementById("id2").style.display = 'none';  
	document.getElementById("id3").style.display = 'block';  
	}
	else{
	document.getElementById("id2").style.display = 'block';  
	}

   MM_preloadImages(
      'images/go_over.gif'
   );
<% if (!quick) { %>
   document.LogonForm.email.focus();
   document.LogonForm.email.select();
<% } %>
}

var cleared = false;
function emailOnClick(e) {
   var eo = new EventObj(e, this);
   if (!cleared && document.LogonForm.email.value == '<Type your User Id>') {
      document.LogonForm.email.value = '';
      cleared = true;
      eo.preventDefault();
      return false;
   }
}

function forgotPassword() {
	
	NewWindow('PasswordForgotten.i4?return=blank', 'ForgotPassword', 300, 500);
	
}

function toggleRememberMe() {
	
	document.LogonForm.rememberMe.checked=!document.LogonForm.rememberMe.checked;
	
}

function logonFocus(focus)
{
	if(focus)
	{
		getObj('loginBoxOutline').style.background="#ddd";
	}
	else
	{
		getObj('loginBoxOutline').style.background="white";
	}
}

function logonKeyDown(event)
{
	if (event.keyCode == 13)
	{
		on_submit('logon');
	}
}

function unhideLogon(){

	document.getElementById("logonButton").style.visibility = 'visible';
	document.getElementById("usernamediv").style.visibility = 'visible';
	document.getElementById("passworddiv").style.visibility = 'visible';
	document.LogonForm.email.focus();
}

//-->
</script>

<!-- Include custom css here. This should be after any other css includes. -->
<link rel="stylesheet" type="text/css" href="css/CustomCSS.i4" />
</head>
<body onload="loader()" onKeyPress="checkKey(event)" style="background:#DFDFDF;">
<div style="background:white">
	<div style="margin: 0px auto;width:945px">
		<html:form action="logon.i4">

	<table border="0" cellpadding="0" cellspacing="0" width="945">
	<% if (errorsExist) { %>
	  <tr>
	    <td width="234">&nbsp;</td>
	    <td width="250">&nbsp;</td>
	    <td width="388"><br /><html:errors /></td>
	  </tr>
	<% } %>
	  <tr>
	    <td width="234"><img src="images/logo.png" class="tpng" style="margin-top:10px;margin-left:10px;" border="0" alt="" /></td>
	    <td width="250">&nbsp;</td>
	    <td width="388"  height="90">
	
	        <table border="0" cellpadding="2" cellspacing="1" width="100%">
	        
	        <input type="hidden" name="org" value="<%=vm.getIpOrg()%>" />
	        <input type="hidden" name="<%=Const.INDEX_PAGE%>" value="/index_misafe.jsp" />
	        <input type="hidden" name="action" />
	 <% if (quick) { %>
	          <tr>
	            <td class="i4bodytext" align="center"><app:message key="mi.text.loginas" arg0="<%=name%>" /></td>
	          </tr>
	          <tr>
	             <td class="i4bodytext" align="left"> <br/><br/>Please click on 'Reports' Tab to continue.
	              <!--<a href="javascript:on_submit('quickLogon');"><app:message key="mi.text.loginagain" /></a>-->
	              &nbsp;&nbsp;&nbsp;
	              <!--<a href="javascript:on_submit('logonMain');"><app:message key="mi.text.loginanotheruser" /></a>-->	
	            </td>
	          </tr>
	<% } else { 
		
		String autoComplete = "off";
		/* if (vm.getAutoCompleteOption()) autoComplete = "on"; */
		
	%>
		<div id="id3" style="display: none;>
			<tr>
				<td></td>
				<td class="i4bodytext" align="left">
				<a href="javascript:unhideLogon();">enable admin login </a>
				</td>
				<td></td><td></td><td></td>
			  </tr>
			  <tr>
			  <td></td><td></td><td></td><td></td><td></td>
				
			  </tr>	
		</div>  
	          <input type="hidden" name="clientReferenceId" value="" />
	          <tr>
	            <td width="20">&nbsp;</td>
	             <td width="132"><div class="loginContainer"  id="usernamediv" style="visibility: hidden;">
			<span style="display:block">&nbsp;<app:message key="mi.text.login.username" />: </span>
			<html:text tabindex="1" property="email" onmousedown="emailOnClick(event);"  styleClass="loginBox" />
		</div></td>
	            <td width="132">
	            
	            <div  id="passworddiv"  class="loginContainer " style="visibility: hidden;" class="loginContainer ">
					<span style="display:block">&nbsp;<app:message key="mi.text.password" />: </span>
					<input type="password" autocomplete="<%= autoComplete %>" tabindex="2" name="password" value="" onkeypress="keypress(event, 'logon');" class="loginBox" />
				</div>
	            
	            </td>
	            <td width="60">
	            	<div class="loginContainer">
						<br/>
						<div id="loginBoxOutline" >
							<div id="logonButton"  style="visibility: hidden;"  onclick="on_submit('logon');" class="loginButton">
								<a href="javascript:;" style="color:white;text-decoration:none;outline:0px;" onfocus="logonFocus(true)" onblur="logonFocus(false)" onkeydown="logonKeyDown(event)" tabindex="3">
									<app:message key="mi.text.login" />
								</a> 
							</div>
						</div>
					</div>
				</td>
	          </tr>
	          <tr>
	            <td width="20">&nbsp;</td>
	            <td width="132">&nbsp;</td>
	            <td colspan="2">
	            
	            	<table width="100%" cellpadding="0" cellspacing="0">
	            	 <tr>
	            	  <td align="left">&nbsp;
	            	<% if (vm.getRecoverPassword()) { %> 
	            		<a class="i4bodytext" href="javascript:forgotPassword();"><app:message key="mi.text.forgotten.password" /></a>
	                <% } %>
	            	</td>
	            	<td align="right">
	            	
	            	<% if (vm.getRememberMeOption()) { %> 
	            	
	            			<input type="checkbox" name="rememberMe" value="true">
	            			<a class="i4bodytext" style="color: black;" href="javascript:toggleRememberMe();"><app:message key="mi.text.rememberme.option" /></a>
	            		
	            	<% } %>
	            	</td></tr></table>
	            	
	            
	            </td>&nbsp;
	         </tr>
	    	<div id="id2"  style="display: none;>
			<tr>
				<td></td>
				<td colspan="2" class="i4bodytext" align="left"> <br/><br/>Please click on 'Reports' Tab to continue.
				</td>
				<td></td><td></td><td></td>
			  </tr>
			  <tr>
			  <td></td><td></td><td></td><td></td><td></td>
				
			  </tr>
				 
		</div>
	      

	<% } %>
	       
	        </table>
	 
	   </td>
	  </tr>
	</table>
	 </html:form>
	</div>
</div>

</body>
</html>

